> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Exposed Ports Endpoint

> List all exposed ports across all sandboxes for the current user

## Rate Limit

60 requests per 60 seconds per IP and token.


## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/sandbox/expose/all
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/sandbox/expose/all:
    get:
      tags:
        - Sandbox
      summary: List All Exposed Ports Endpoint
      description: List all exposed ports across all sandboxes for the current user
      operationId: list_all_exposed_ports_endpoint_api_v1_sandbox_expose_all_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListExposedPortsResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    ListExposedPortsResponse:
      properties:
        exposures:
          items:
            $ref: '#/components/schemas/ExposedPortInfo'
          type: array
          title: Exposures
      type: object
      required:
        - exposures
      title: ListExposedPortsResponse
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    ExposedPortInfo:
      properties:
        exposure_id:
          type: string
          title: Exposure Id
        sandbox_id:
          type: string
          title: Sandbox Id
        port:
          type: integer
          title: Port
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        protocol:
          anyOf:
            - type: string
            - type: 'null'
          title: Protocol
        url:
          type: string
          title: Url
        tls_socket:
          type: string
          title: Tls Socket
        external_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: External Port
          description: External port for TCP/UDP exposures (not applicable for HTTP)
        external_endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: External Endpoint
          description: >-
            External endpoint (host:port) for TCP/UDP exposures (not applicable
            for HTTP)
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
          description: Creation timestamp (ISO format)
      type: object
      required:
        - exposure_id
        - sandbox_id
        - port
        - name
        - url
        - tls_socket
      title: ExposedPortInfo
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````